Index: t3lib/class.t3lib_befunc.php
===================================================================
--- t3lib/class.t3lib_befunc.php	(revision 9522)
+++ t3lib/class.t3lib_befunc.php	(revision )
@@ -2981,11 +2992,11 @@
 
 		if (!$script) {
 			$script = basename(PATH_thisScript);
-			$mainParams.= (t3lib_div::_GET('M') ? '&M='.rawurlencode(t3lib_div::_GET('M')) : '');
+			$mainParams .= (t3lib_div::_GET('M') ? '&M=' . rawurlencode(t3lib_div::_GET('M')) : '');
 		}
 
-		$onClick = 'jumpToUrl(\''.$script.'?'.$mainParams.$addparams.'&'.$elementName.'=\'+(this.checked?1:0),this);';
+		$onClick = 'jumpToUrl(\'' . $script . '?' . $mainParams . $addparams . '&' . $elementName . '=\'+(this.checked?1:0),this);';
-		return '<input type="checkbox" class="checkbox" name="'.$elementName.'"'.($currentValue?' checked="checked"':'').' onclick="'.htmlspecialchars($onClick).'"'.($tagParams?' '.$tagParams:'').' />';
+		return '<input type="checkbox" class="checkbox" name="' . $elementName . '"' . ($currentValue ? ' checked="checked"' : '') . ' onclick="' . htmlspecialchars($onClick) . '"' . ($tagParams ? ' ' . $tagParams : '') . ' />';
 	}
 
 	/**
@@ -3010,11 +3021,11 @@
 
 		if (!$script) {
 			$script = basename(PATH_thisScript);
-			$mainParams.= (t3lib_div::_GET('M') ? '&M='.rawurlencode(t3lib_div::_GET('M')) : '');
+			$mainParams .= (t3lib_div::_GET('M') ? '&M=' . rawurlencode(t3lib_div::_GET('M')) : '');
 		}
 
-		$onChange = 'jumpToUrl(\''.$script.'?'.$mainParams.$addparams.'&'.$elementName.'=\'+escape(this.value),this);';
+		$onChange = 'jumpToUrl(\'' . $script . '?' . $mainParams . $addparams . '&' . $elementName . '=\'+escape(this.value),this);';
-		return '<input type="text"'.$GLOBALS['TBE_TEMPLATE']->formWidth($size).' name="'.$elementName.'" value="'.htmlspecialchars($currentValue).'" onchange="'.htmlspecialchars($onChange).'" />';
+		return '<input type="text"' . $GLOBALS['TBE_TEMPLATE']->formWidth($size) . ' name="' . $elementName . '" value="' . htmlspecialchars($currentValue) . '" onchange="' . htmlspecialchars($onChange) . '" />';
 	}
 
 	/**
@@ -3083,7 +3094,7 @@
 			$modData[$set] = array(
 				'set' => $set,
 				'parameter' => $params);
-		} else {	// clear the module data
+		} else { // clear the module data
 			$modData = array();
 		}
 		$BE_USER->pushModuleData('t3lib_BEfunc::getUpdateSignal', $modData);
@@ -3119,17 +3130,19 @@
 				$ref = NULL;
 				t3lib_div::callUserFunction($updateSignals[$set], $params, $ref);
 				$signals[] = $params['JScode'];
-			} else if ($set == 'updatePageTree' || $set == 'updateFolderTree') {
+			} else {
+				if ($set == 'updatePageTree' || $set == 'updateFolderTree') {
-				$signals[] = '
+					$signals[] = '
 					if (top && top.TYPO3.Backend.NavigationIframe) {
 						top.TYPO3.Backend.NavigationIframe.refresh();
 					}';
-			}
-		}
+				}
+			}
+		}
 
 		$content = implode(LF, $signals);
 
-		self::setUpdateSignal();	// for backwards compatibility, should be replaced
+		self::setUpdateSignal(); // for backwards compatibility, should be replaced
 		return $content;
 	}
 
@@ -3149,10 +3162,10 @@
 	 * @param	string		List of default values from $MOD_MENU to set in the output array (only if the values from MOD_MENU are not arrays)
 	 * @return	array		The array $settings, which holds a key for each MOD_MENU key and the values of each key will be within the range of values for each menuitem
 	 */
-	public static function getModuleData($MOD_MENU, $CHANGED_SETTINGS, $modName, $type = '', $dontValidateList = '', $setDefaultList = '')	{
+	public static function getModuleData($MOD_MENU, $CHANGED_SETTINGS, $modName, $type = '', $dontValidateList = '', $setDefaultList = '') {
 
 		if ($modName && is_string($modName)) {
-					// GETTING stored user-data from this module:
+				// GETTING stored user-data from this module:
 			$settings = $GLOBALS['BE_USER']->getModuleData($modName, $type);
 
 			$changed = 0;
@@ -3161,7 +3174,7 @@
 				$settings = array();
 			}
 			if (is_array($MOD_MENU)) {
-				foreach ($MOD_MENU as $key=>$var) {
+				foreach ($MOD_MENU as $key => $var) {
 
 						// If a global var is set before entering here. eg if submitted, then it's substituting the current value the array.
 					if (is_array($CHANGED_SETTINGS) && isset($CHANGED_SETTINGS[$key])) {
@@ -3172,49 +3185,42 @@
 								$changed = 1;
 							}
 						} else {
-							if (strcmp($settings[$key], $CHANGED_SETTINGS[$key]) ) {
+							if (strcmp($settings[$key], $CHANGED_SETTINGS[$key])) {
 								$settings[$key] = $CHANGED_SETTINGS[$key];
 								$changed = 1;
 							}
 						}
- 					}
+					}
 
 						// If the $var is an array, which denotes the existence of a menu, we check if the value is permitted
 					if (is_array($var) && (!$dontValidateList || !t3lib_div::inList($dontValidateList, $key))) {
 							// If the setting is an array or not present in the menu-array, MOD_MENU, then the default value is inserted.
 						if (is_array($settings[$key]) || !isset($MOD_MENU[$key][$settings[$key]])) {
-							$settings[$key] = (string)key($var);
+							$settings[$key] = (string) key($var);
 							$changed = 1;
 						}
 					}
-					if ($setDefaultList && !is_array($var))	{	// Sets default values (only strings/checkboxes, not menus)
+					if ($setDefaultList && !is_array($var)) { // Sets default values (only strings/checkboxes, not menus)
 						if (t3lib_div::inList($setDefaultList, $key) && !isset($settings[$key])) {
-							$settings[$key] = (string)$var;
+							$settings[$key] = (string) $var;
 						}
 					}
 				}
-			} else {die ('No menu!');}
+			} else {
+				die ('No menu!');
+			}
 
 			if ($changed) {
 				$GLOBALS['BE_USER']->pushModuleData($modName, $settings);
 			}
 
-			return  $settings;
+			return $settings;
-		} else {die ('Wrong module name: "'.$modName.'"');}
+		} else {
+			die ('Wrong module name: "' . $modName . '"');
-	}
+		}
+	}
 
 
-
-
-
-
-
-
-
-
-
-
-
 	/*******************************************
 	 *
 	 * Core
@@ -3223,7 +3229,7 @@
 
 	/**
 	 * Set preview keyword, eg:
-	 * 	$previewUrl = t3lib_div::getIndpEnv('TYPO3_SITE_URL').'index.php?ADMCMD_prev='.t3lib_BEfunc::compilePreviewKeyword('id='.$pageId.'&L='.$language.'&ADMCMD_view=1&ADMCMD_editIcons=1&ADMCMD_previewWS='.$this->workspace, $GLOBALS['BE_USER']->user['uid'], 120);
+	 *	 $previewUrl = t3lib_div::getIndpEnv('TYPO3_SITE_URL').'index.php?ADMCMD_prev='.t3lib_BEfunc::compilePreviewKeyword('id='.$pageId.'&L='.$language.'&ADMCMD_view=1&ADMCMD_editIcons=1&ADMCMD_previewWS='.$this->workspace, $GLOBALS['BE_USER']->user['uid'], 120);
 	 *
 	 * todo for sys_preview:
 	 * - Add a comment which can be shown to previewer in frontend in some way (plus maybe ability to write back, take other action?)
@@ -3279,7 +3285,7 @@
 
 			$GLOBALS['TYPO3_DB']->exec_INSERTquery('sys_lockedrecords', $fields_values);
 		} else {
-			$GLOBALS['TYPO3_DB']->exec_DELETEquery('sys_lockedrecords', 'userid='.intval($user_id));
+			$GLOBALS['TYPO3_DB']->exec_DELETEquery('sys_lockedrecords', 'userid=' . intval($user_id));
 		}
 	}
 
@@ -3299,12 +3305,12 @@
 		if (!is_array($LOCKED_RECORDS)) {
 			$LOCKED_RECORDS = array();
 			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
-							'*',
-							'sys_lockedrecords',
+				'*',
+				'sys_lockedrecords',
-							'sys_lockedrecords.userid!='.intval($GLOBALS['BE_USER']->user['uid']).'
+					'sys_lockedrecords.userid!=' . intval($GLOBALS['BE_USER']->user['uid']) . '
-								AND sys_lockedrecords.tstamp > '.($GLOBALS['EXEC_TIME']-2*3600)
+								AND sys_lockedrecords.tstamp > ' . ($GLOBALS['EXEC_TIME'] - 2 * 3600)
-						);
+			);
-			while($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
+			while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
 					// Get the type of the user that locked this record:
 				if ($row['userid']) {
 					$userTypeLabel = 'beUser';
@@ -3321,25 +3327,25 @@
 					$userName = $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.unknownUser');
 				}
 
-				$LOCKED_RECORDS[$row['record_table'].':'.$row['record_uid']] = $row;
+				$LOCKED_RECORDS[$row['record_table'] . ':' . $row['record_uid']] = $row;
-				$LOCKED_RECORDS[$row['record_table'].':'.$row['record_uid']]['msg'] = sprintf(
+				$LOCKED_RECORDS[$row['record_table'] . ':' . $row['record_uid']]['msg'] = sprintf(
 					$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.lockedRecordUser'),
 					$userType,
 					$userName,
-					self::calcAge($GLOBALS['EXEC_TIME']-$row['tstamp'], $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.minutesHoursDaysYears'))
+					self::calcAge($GLOBALS['EXEC_TIME'] - $row['tstamp'], $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.minutesHoursDaysYears'))
 				);
-				if ($row['record_pid'] && !isset($LOCKED_RECORDS[$row['record_table'].':'.$row['record_pid']])) {
+				if ($row['record_pid'] && !isset($LOCKED_RECORDS[$row['record_table'] . ':' . $row['record_pid']])) {
-					$LOCKED_RECORDS['pages:'.$row['record_pid']]['msg'] = sprintf(
+					$LOCKED_RECORDS['pages:' . $row['record_pid']]['msg'] = sprintf(
 						$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.lockedRecordUser_content'),
 						$userType,
 						$userName,
-						self::calcAge($GLOBALS['EXEC_TIME']-$row['tstamp'], $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.minutesHoursDaysYears'))
+						self::calcAge($GLOBALS['EXEC_TIME'] - $row['tstamp'], $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.minutesHoursDaysYears'))
 					);
 				}
 			}
 			$GLOBALS['TYPO3_DB']->sql_free_result($res);
 		}
-		return $LOCKED_RECORDS[$table.':'.$uid];
+		return $LOCKED_RECORDS[$table . ':' . $uid];
 	}
 
 	/**
@@ -3361,7 +3367,7 @@
 		t3lib_div::loadTCA($foreign_table);
 		$rootLevel = $TCA[$foreign_table]['ctrl']['rootLevel'];
 
-		$fTWHERE = $fieldValue['config'][$prefix.'foreign_table_where'];
+		$fTWHERE = $fieldValue['config'][$prefix . 'foreign_table_where'];
 		if (strstr($fTWHERE, '###REC_FIELD_')) {
 			$fTWHERE_parts = explode('###REC_FIELD_', $fTWHERE);
 			foreach ($fTWHERE_parts as $kk => $vv) {
@@ -3392,24 +3398,24 @@
 			$queryParts = array(
 				'SELECT' => self::getCommonSelectFields($foreign_table, $foreign_table . '.'),
 				'FROM' => $foreign_table,
-				'WHERE' => $foreign_table.'.pid=0 '.
+				'WHERE' => $foreign_table . '.pid=0 ' .
-							self::deleteClause($foreign_table) . ' ' .
-							$wgolParts['WHERE'],
+						self::deleteClause($foreign_table) . ' ' .
+						$wgolParts['WHERE'],
 				'GROUPBY' => $wgolParts['GROUPBY'],
 				'ORDERBY' => $wgolParts['ORDERBY'],
 				'LIMIT' => $wgolParts['LIMIT']
 			);
 		} else {
 			$pageClause = $GLOBALS['BE_USER']->getPagePermsClause(1);
-			if ($foreign_table!='pages') {
+			if ($foreign_table != 'pages') {
 				$queryParts = array(
 					'SELECT' => self::getCommonSelectFields($foreign_table, $foreign_table . '.'),
-					'FROM' => $foreign_table.', pages',
+					'FROM' => $foreign_table . ', pages',
-					'WHERE' => 'pages.uid='.$foreign_table.'.pid
+					'WHERE' => 'pages.uid=' . $foreign_table . '.pid
-								AND pages.deleted=0 '.
+								AND pages.deleted=0 ' .
-								self::deleteClause($foreign_table) .
+							self::deleteClause($foreign_table) .
-								' AND '.$pageClause.' '.
+							' AND ' . $pageClause . ' ' .
-								$wgolParts['WHERE'],
+							$wgolParts['WHERE'],
 					'GROUPBY' => $wgolParts['GROUPBY'],
 					'ORDERBY' => $wgolParts['ORDERBY'],
 					'LIMIT' => $wgolParts['LIMIT']
@@ -3419,8 +3425,8 @@
 					'SELECT' => self::getCommonSelectFields($foreign_table, $foreign_table . '.'),
 					'FROM' => 'pages',
 					'WHERE' => 'pages.deleted=0
-								AND '.$pageClause.' '.
+								AND ' . $pageClause . ' ' .
-								$wgolParts['WHERE'],
+							$wgolParts['WHERE'],
 					'GROUPBY' => $wgolParts['GROUPBY'],
 					'ORDERBY' => $wgolParts['ORDERBY'],
 					'LIMIT' => $wgolParts['LIMIT']
@@ -3451,7 +3457,7 @@
 		list($TScID, $cPid) = self::getTSCpid($table, $row['uid'], $row['pid']);
 
 		$rootLine = self::BEgetRootLine($TScID, '', TRUE);
-		if ($TScID>=0) {
+		if ($TScID >= 0) {
 			$tempConf = $GLOBALS['BE_USER']->getTSConfig('TCEFORM.' . $table, self::getPagesTSconfig($TScID, $rootLine));
 			if (is_array($tempConf['properties'])) {
 				foreach ($tempConf['properties'] as $key => $val) {
@@ -3459,8 +3465,8 @@
 						$fieldN = substr($key, 0, -1);
 						$res[$fieldN] = $val;
 						unset($res[$fieldN]['types.']);
-						if (strcmp($typeVal, '') && is_array($val['types.'][$typeVal.'.'])) {
+						if (strcmp($typeVal, '') && is_array($val['types.'][$typeVal . '.'])) {
-							$res[$fieldN] = t3lib_div::array_merge_recursive_overrule($res[$fieldN], $val['types.'][$typeVal.'.']);
+							$res[$fieldN] = t3lib_div::array_merge_recursive_overrule($res[$fieldN], $val['types.'][$typeVal . '.']);
 						}
 					}
 				}
@@ -3469,12 +3475,16 @@
 		$res['_CURRENT_PID'] = $cPid;
 		$res['_THIS_UID'] = $row['uid'];
 		$res['_THIS_CID'] = $row['cid'];
-		$res['_THIS_ROW'] = $row;	// So the row will be passed to foreign_table_where_query()
+		$res['_THIS_ROW'] = $row; // So the row will be passed to foreign_table_where_query()
 
 		foreach ($rootLine as $rC) {
-			if (!$res['_STORAGE_PID'])	$res['_STORAGE_PID'] = intval($rC['storage_pid']);
-			if (!$res['_SITEROOT'])	$res['_SITEROOT'] = $rC['is_siteroot']?intval($rC['uid']):0;
+			if (!$res['_STORAGE_PID']) {
+				$res['_STORAGE_PID'] = intval($rC['storage_pid']);
-		}
+			}
+			if (!$res['_SITEROOT']) {
+				$res['_SITEROOT'] = $rC['is_siteroot'] ? intval($rC['uid']) : 0;
+			}
+		}
 
 		return $res;
 	}
@@ -3491,31 +3501,33 @@
 	 * @internal
 	 * @see t3lib_TCEmain::copyRecord(), getTSCpid()
 	 */
-	public static function getTSconfig_pidValue($table, $uid, $pid)	{
+	public static function getTSconfig_pidValue($table, $uid, $pid) {
 
-		if (t3lib_div::testInt($pid))	{	// If pid is an integer this takes precedence in our lookup.
+		if (t3lib_div::testInt($pid)) { // If pid is an integer this takes precedence in our lookup.
 			$thePidValue = intval($pid);
-			if ($thePidValue<0)	{	// If ref to another record, look that record up.
+			if ($thePidValue < 0) { // If ref to another record, look that record up.
 				$pidRec = self::getRecord($table, abs($thePidValue), 'pid');
-				$thePidValue = is_array($pidRec) ? $pidRec['pid'] : -2;	// Returns -2 if the record did not exist.
+				$thePidValue = is_array($pidRec) ? $pidRec['pid'] : -2; // Returns -2 if the record did not exist.
 			}
 			// ... else the pos/zero pid is just returned here.
-		} else {	// No integer pid and we are forced to look up the $pid
+		} else { // No integer pid and we are forced to look up the $pid
-			$rr = self::getRecord($table, $uid);	// Try to fetch the record pid from uid. If the uid is 'NEW...' then this will of course return nothing...
+			$rr = self::getRecord($table, $uid); // Try to fetch the record pid from uid. If the uid is 'NEW...' then this will of course return nothing...
 
 			if (is_array($rr)) {
 					// First check if the pid is -1 which means it is a workspaced element. Get the "real" record:
-				if ($rr['pid']=='-1') {
+				if ($rr['pid'] == '-1') {
 					$rr = self::getRecord($table, $rr['t3ver_oid'], 'pid');
 					if (is_array($rr)) {
 						$thePidValue = $rr['pid'];
 					}
 				} else {
-					$thePidValue = $rr['pid'];	// Returning the "pid" of the record
+					$thePidValue = $rr['pid']; // Returning the "pid" of the record
 				}
 			}
 
-			if (!$thePidValue)	$thePidValue = -1;	// Returns -1 if the record with this pid was not found.
+			if (!$thePidValue) {
+				$thePidValue = -1;
+			} // Returns -1 if the record with this pid was not found.
 		}
 
 		return $thePidValue;
@@ -3533,7 +3545,7 @@
 	 * @see t3lib_TCEforms::getTSCpid()
 	 */
 	public static function getPidForModTSconfig($table, $uid, $pid) {
-		$retVal = ($table=='pages' && t3lib_div::testInt($uid)) ? $uid : $pid;
+		$retVal = ($table == 'pages' && t3lib_div::testInt($uid)) ? $uid : $pid;
 		return $retVal;
 	}
 
@@ -3592,13 +3604,13 @@
 				// path is calculated.
 			$path = trim(preg_replace('/\/[^\/]*$/', '', $path));
 				// stuff:
-			$domain.=$path;
+			$domain .= $path;
 
 			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('sys_domain.*', 'pages,sys_domain', '
 				pages.uid=sys_domain.pid
 				AND sys_domain.hidden=0
-				AND (sys_domain.domainName='.$GLOBALS['TYPO3_DB']->fullQuoteStr($domain, 'sys_domain').' OR sys_domain.domainName='.$GLOBALS['TYPO3_DB']->fullQuoteStr($domain.'/', 'sys_domain').')'.
+				AND (sys_domain.domainName=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($domain, 'sys_domain') . ' OR sys_domain.domainName=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($domain . '/', 'sys_domain') . ')' .
-				self::deleteClause('pages'),
+					self::deleteClause('pages'),
 				'', '', '1');
 			$result = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res);
 			$GLOBALS['TYPO3_DB']->sql_free_result($res);
@@ -3619,13 +3631,13 @@
 	 */
 	public static function RTEsetup($RTEprop, $table, $field, $type = '') {
 		$thisConfig = is_array($RTEprop['default.']) ? $RTEprop['default.'] : array();
-		$thisFieldConf = $RTEprop['config.'][$table.'.'][$field.'.'];
+		$thisFieldConf = $RTEprop['config.'][$table . '.'][$field . '.'];
 		if (is_array($thisFieldConf)) {
 			unset($thisFieldConf['types.']);
 			$thisConfig = t3lib_div::array_merge_recursive_overrule($thisConfig, $thisFieldConf);
 		}
-		if ($type && is_array($RTEprop['config.'][$table.'.'][$field.'.']['types.'][$type.'.'])) {
+		if ($type && is_array($RTEprop['config.'][$table . '.'][$field . '.']['types.'][$type . '.'])) {
-			$thisConfig = t3lib_div::array_merge_recursive_overrule($thisConfig, $RTEprop['config.'][$table.'.'][$field.'.']['types.'][$type.'.']);
+			$thisConfig = t3lib_div::array_merge_recursive_overrule($thisConfig, $RTEprop['config.'][$table . '.'][$field . '.']['types.'][$type . '.']);
 		}
 		return $thisConfig;
 	}
@@ -3636,17 +3648,17 @@
 	 *
 	 * @return	mixed		If available, returns RTE object, otherwise an array of messages from possible RTEs
 	 */
-	public static function &RTEgetObj()	{
+	public static function &RTEgetObj() {
 
 			// If no RTE object has been set previously, try to create it:
-		if (!isset($GLOBALS['T3_VAR']['RTEobj']))	{
+		if (!isset($GLOBALS['T3_VAR']['RTEobj'])) {
 
 				// Set the object string to blank by default:
 			$GLOBALS['T3_VAR']['RTEobj'] = array();
 
 				// Traverse registered RTEs:
 			if (is_array($GLOBALS['TYPO3_CONF_VARS']['BE']['RTE_reg'])) {
-				foreach($GLOBALS['TYPO3_CONF_VARS']['BE']['RTE_reg'] as $extKey => $rteObjCfg) {
+				foreach ($GLOBALS['TYPO3_CONF_VARS']['BE']['RTE_reg'] as $extKey => $rteObjCfg) {
 					$rteObj = t3lib_div::getUserObj($rteObjCfg['objRef']);
 					if (is_object($rteObj)) {
 						if ($rteObj->isAvailable()) {
@@ -3675,18 +3687,18 @@
 	 * @param	string		softRef parser key
 	 * @return	mixed		If available, returns Soft link parser object.
 	 */
-	public static function &softRefParserObj($spKey)	{
+	public static function &softRefParserObj($spKey) {
 
 			// If no softRef parser object has been set previously, try to create it:
-		if (!isset($GLOBALS['T3_VAR']['softRefParser'][$spKey]))	{
+		if (!isset($GLOBALS['T3_VAR']['softRefParser'][$spKey])) {
 
 				// Set the object string to blank by default:
 			$GLOBALS['T3_VAR']['softRefParser'][$spKey] = '';
 
 				// Now, try to create parser object:
 			$objRef = $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['GLOBAL']['softRefParser'][$spKey] ?
-							$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['GLOBAL']['softRefParser'][$spKey] :
-							$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['GLOBAL']['softRefParser_GL'][$spKey];
+					$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['GLOBAL']['softRefParser'][$spKey] :
+					$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['GLOBAL']['softRefParser_GL'][$spKey];
 			if ($objRef) {
 				$softRefParserObj = t3lib_div::getUserObj($objRef, '');
 				if (is_object($softRefParserObj)) {
@@ -3707,21 +3719,23 @@
 	 * @param	string		Field name
 	 * @return	array		Array where the parser key is the key and the value is the parameter string
 	 */
-	public static function explodeSoftRefParserList($parserList)	{
+	public static function explodeSoftRefParserList($parserList) {
 
 			// Looking for global parsers:
 		if (is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['GLOBAL']['softRefParser_GL'])) {
-			$parserList = implode(',', array_keys($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['GLOBAL']['softRefParser_GL'])).','.$parserList;
+			$parserList = implode(',', array_keys($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['GLOBAL']['softRefParser_GL'])) . ',' . $parserList;
 		}
 
 			// Return immediately if list is blank:
-		if (!strlen($parserList))	return FALSE;
+		if (!strlen($parserList)) {
+			return FALSE;
+		}
 
 			// Otherwise parse the list:
 		$keyList = t3lib_div::trimExplode(',', $parserList, 1);
 		$output = array();
 
-		foreach($keyList as $val) {
+		foreach ($keyList as $val) {
 			$reg = array();
 			if (preg_match('/^([[:alnum:]_-]+)\[(.*)\]$/', $val, $reg)) {
 				$output[$reg[1]] = t3lib_div::trimExplode(';', $reg[2], 1);
@@ -3747,7 +3761,7 @@
 			if (!is_array($list) && trim($list)) {
 				$subList = t3lib_div::trimExplode(',', $list, 1);
 				foreach ($subList as $skey) {
-					$loaded[$mkey.'_'.$skey] = 1;
+					$loaded[$mkey . '_' . $skey] = 1;
 				}
 			}
 		}
@@ -3767,10 +3781,10 @@
 		if ($count === NULL) {
 
 				// Look up the path:
-			if ($table=='_FILE') {
+			if ($table == '_FILE') {
 				if (t3lib_div::isFirstPartOfStr($ref, PATH_site)) {
 					$ref = substr($ref, strlen(PATH_site));
-					$condition = 'ref_string='.$GLOBALS['TYPO3_DB']->fullQuoteStr($ref, 'sys_refindex');
+					$condition = 'ref_string=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($ref, 'sys_refindex');
 				} else {
 					return '';
 				}
@@ -3781,9 +3795,9 @@
 			$count = $GLOBALS['TYPO3_DB']->exec_SELECTcountRows(
 				'*',
 				'sys_refindex',
-				'ref_table=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($table, 'sys_refindex') .
-					' AND ' . $condition .
-					' AND deleted=0'
+					'ref_table=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($table, 'sys_refindex') .
+							' AND ' . $condition .
+							' AND deleted=0'
 			);
 		}
 
@@ -3806,7 +3820,7 @@
 				!$GLOBALS['TCA'][$table]['ctrl']['transOrigPointerTable']) {
 
 			$where = $GLOBALS['TCA'][$table]['ctrl']['transOrigPointerField'] . '=' . intval($ref) .
-				' AND ' . $GLOBALS['TCA'][$table]['ctrl']['languageField'] . '!=0';
+					' AND ' . $GLOBALS['TCA'][$table]['ctrl']['languageField'] . '!=0';
 
 			if (!empty($GLOBALS['TCA'][$table]['ctrl']['delete'])) {
 				$where .= ' AND ' . $GLOBALS['TCA'][$table]['ctrl']['delete'] . '=0';
@@ -3823,15 +3837,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
-
 	/*******************************************
 	 *
 	 * Workspaces / Versioning
@@ -3866,8 +3871,8 @@
 				$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
 					$fields,
 					$table,
-					'uid=' . intval($uid) .
-						($includeDeletedRecords ? '' : self::deleteClause($table))
+						'uid=' . intval($uid) .
+								($includeDeletedRecords ? '' : self::deleteClause($table))
 				);
 
 					// Add rows to output array:
@@ -3886,8 +3891,8 @@
 			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
 				$fields,
 				$table,
-				'pid=-1 AND uid!='.intval($uid).' AND t3ver_oid='.intval($uid).($workspace!=0?' AND t3ver_wsid='.intval($workspace):'').
+					'pid=-1 AND uid!=' . intval($uid) . ' AND t3ver_oid=' . intval($uid) . ($workspace != 0 ? ' AND t3ver_wsid=' . intval($workspace) : '') .
-					($includeDeletedRecords ? '' : self::deleteClause($table)),
+							($includeDeletedRecords ? '' : self::deleteClause($table)),
 				'',
 				't3ver_id DESC'
 			);
@@ -3929,10 +3934,10 @@
 			if (is_array($rr) && $rr['pid'] == -1 && $TCA[$table]['ctrl']['versioningWS']) {
 
 					// Check values for t3ver_oid and t3ver_wsid:
-				if (isset($rr['t3ver_oid']) && isset($rr['t3ver_wsid'])) {	// If "t3ver_oid" is already a field, just set this:
+				if (isset($rr['t3ver_oid']) && isset($rr['t3ver_wsid'])) { // If "t3ver_oid" is already a field, just set this:
 					$oid = $rr['t3ver_oid'];
 					$wsid = $rr['t3ver_wsid'];
-				} else {	// Otherwise we have to expect "uid" to be in the record and look up based on this:
+				} else { // Otherwise we have to expect "uid" to be in the record and look up based on this:
 					$newPidRec = self::getRecord($table, $rr['uid'], 't3ver_oid,t3ver_wsid');
 					if (is_array($newPidRec)) {
 						$oid = $newPidRec['t3ver_oid'];
@@ -3941,7 +3946,7 @@
 				}
 
 					// If ID of current online version is found, look up the PID value of that:
-				if ($oid && ($ignoreWorkspaceMatch || !strcmp((int)$wsid, $GLOBALS['BE_USER']->workspace))) {
+				if ($oid && ($ignoreWorkspaceMatch || !strcmp((int) $wsid, $GLOBALS['BE_USER']->workspace))) {
 					$oidRec = self::getRecord($table, $oid, 'pid');
 					if (is_array($oidRec)) {
 						$rr['_ORIG_pid'] = $rr['pid'];
@@ -3968,10 +3973,12 @@
 		global $TCA;
 		if (t3lib_extMgm::isLoaded('version')) {
 
-			$previewMovePlaceholders = TRUE;		// If this is false the placeholder is shown raw in the backend. I don't know if this move can be useful for users to toggle. Technically it can help debugging...
+			$previewMovePlaceholders = TRUE; // If this is false the placeholder is shown raw in the backend. I don't know if this move can be useful for users to toggle. Technically it can help debugging...
 
 				// Initialize workspace ID:
-			if ($wsid == -99)	$wsid = $GLOBALS['BE_USER']->workspace;
+			if ($wsid == -99) {
+				$wsid = $GLOBALS['BE_USER']->workspace;
+			}
 
 				// Check if workspace is different from zero and record is set:
 			if ($wsid !== 0 && is_array($row)) {
@@ -3981,7 +3988,7 @@
 					$orig_uid = $row['uid'];
 					$orig_pid = $row['pid'];
 					$movePldSwap = self::movePlhOL($table, $row);
-		#			if (!is_array($row)) return;
+					#			if (!is_array($row)) return;
 				}
 
 				$wsAlt = self::getWorkspaceVersionOfRecord($wsid, $table, $row['uid'], implode(',', array_keys($row)));
@@ -3990,7 +3997,7 @@
 				if (is_array($wsAlt)) {
 
 						// Check if this is in move-state:
-					if ($previewMovePlaceholders && !$movePldSwap && ($table=='pages' || (int)$TCA[$table]['ctrl']['versioningWS']>=2) && $unsetMovePointers) {	// Only for WS ver 2... (moving)
+					if ($previewMovePlaceholders && !$movePldSwap && ($table == 'pages' || (int) $TCA[$table]['ctrl']['versioningWS'] >= 2) && $unsetMovePointers) { // Only for WS ver 2... (moving)
 
 							// If t3ver_state is not found, then find it... (but we like best if it is here...)
 						if (!isset($wsAlt['t3ver_state'])) {
@@ -3999,7 +4006,7 @@
 						} else {
 							$state = $wsAlt['t3ver_state'];
 						}
-						if ((int)$state===4) {
+						if ((int) $state === 4) {
 								// TODO: Same problem as frontend in versionOL(). See TODO point there.
 							$row = FALSE;
 							return;
@@ -4008,18 +4015,18 @@
 
 						// Always correct PID from -1 to what it should be:
 					if (isset($wsAlt['pid'])) {
-						$wsAlt['_ORIG_pid'] = $wsAlt['pid'];	// Keep the old (-1) - indicates it was a version...
+						$wsAlt['_ORIG_pid'] = $wsAlt['pid']; // Keep the old (-1) - indicates it was a version...
-						$wsAlt['pid'] = $row['pid'];		// Set in the online versions PID.
+						$wsAlt['pid'] = $row['pid']; // Set in the online versions PID.
 					}
 
 						// For versions of single elements or page+content, swap UID and PID:
-					if ($table!=='pages' || $wsAlt['t3ver_swapmode']<=0) {
+					if ($table !== 'pages' || $wsAlt['t3ver_swapmode'] <= 0) {
 						$wsAlt['_ORIG_uid'] = $wsAlt['uid'];
 						$wsAlt['uid'] = $row['uid'];
 
 							// Backend css class:
-						$wsAlt['_CSSCLASS'] = $table==='pages' && $wsAlt['t3ver_swapmode']==0 ? 'ver-page' : 'ver-element';
+						$wsAlt['_CSSCLASS'] = $table === 'pages' && $wsAlt['t3ver_swapmode'] == 0 ? 'ver-page' : 'ver-element';
-					} else {	// This is only for page-versions with BRANCH below!
+					} else { // This is only for page-versions with BRANCH below!
 						$wsAlt['_ONLINE_uid'] = $row['uid'];
 
 							// Backend css class:
@@ -4036,7 +4043,7 @@
 					$row['_MOVE_PLH'] = TRUE;
 					$row['_MOVE_PLH_uid'] = $orig_uid;
 					$row['_MOVE_PLH_pid'] = $orig_pid;
-					$row['t3ver_state'] = 3;	// For display; To make the icon right for the placeholder vs. the original
+					$row['t3ver_state'] = 3; // For display; To make the icon right for the placeholder vs. the original
 				}
 			}
 		}
@@ -4053,7 +4060,7 @@
 	public static function movePlhOL($table, &$row) {
 		global $TCA;
 
-		if ($table=='pages' || (int)$TCA[$table]['ctrl']['versioningWS']>=2)	{	// Only for WS ver 2... (moving)
+		if ($table == 'pages' || (int) $TCA[$table]['ctrl']['versioningWS'] >= 2) { // Only for WS ver 2... (moving)
 
 				// If t3ver_move_id or t3ver_state is not found, then find it... (but we like best if it is here...)
 			if (!isset($row['t3ver_move_id']) || !isset($row['t3ver_state'])) {
@@ -4066,7 +4073,7 @@
 			}
 
 				// Find pointed-to record.
-			if ((int)$state===3 && $moveID) {
+			if ((int) $state === 3 && $moveID) {
 				if ($origRow = self::getRecord($table, $moveID, implode(',', array_keys($row)))) {
 					$row = $origRow;
 					return TRUE;
@@ -4095,15 +4102,17 @@
 				$rows = $GLOBALS['TYPO3_DB']->exec_SELECTgetRows(
 					$fields,
 					$table,
-					'pid=-1 AND
+						'pid=-1 AND
 					 t3ver_oid=' . intval($uid) . ' AND
 					 t3ver_wsid=' . intval($workspace) .
-						self::deleteClause($table)
+								self::deleteClause($table)
 				);
 
-				if (is_array($rows[0]))	return $rows[0];
+				if (is_array($rows[0])) {
+					return $rows[0];
-			}
-		}
+				}
+			}
+		}
 		return FALSE;
 	}
 
@@ -4156,13 +4165,13 @@
 		$rl = self::BEgetRootLine($pid);
 		$c = 0;
 
-		foreach($rl as $rec) {
+		foreach ($rl as $rec) {
-			if ($rec['_ORIG_pid']==-1) {
+			if ($rec['_ORIG_pid'] == -1) {
 					// In any case: is it a branchpoint, then OK...
-				if ($rec['t3ver_swapmode']>0) {
+				if ($rec['t3ver_swapmode'] > 0) {
-					return $returnStage ? (int)$rec['t3ver_stage'] : 'branchpoint';	// OK, we are in a versionized branch
+					return $returnStage ? (int) $rec['t3ver_stage'] : 'branchpoint'; // OK, we are in a versionized branch
-				} elseif ($c==0 && $rec['t3ver_swapmode']==0 && $table && $GLOBALS['TCA'][$table]['ctrl']['versioning_followPages'])	{	// First level: So $table must be versioning_followPages
+				} elseif ($c == 0 && $rec['t3ver_swapmode'] == 0 && $table && $GLOBALS['TCA'][$table]['ctrl']['versioning_followPages']) { // First level: So $table must be versioning_followPages
-					return $returnStage ? (int)$rec['t3ver_stage'] : 'first';	// OK, we are in a versionized branch
+					return $returnStage ? (int) $rec['t3ver_stage'] : 'first'; // OK, we are in a versionized branch
 				}
 			}
 			$c++;
